﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace IntroductionToJQueryBlockUI
{
    public partial class BasicBlockUI : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!Page.IsPostBack)
            {
                BindData();
            }
        }

        private void BindData()
        {
            var table = new DataTable(); 

            for(int i=1; i<=50;i++)
            {
                table.Columns.Add(new DataColumn() {ColumnName = "column" + i}); 
            }

            for (int i = 0; i < 50;i++ )
            {
                var row = table.NewRow();
                row[i] = "row" + i;
                table.Rows.Add(row); 
            }

                gvCustomers.DataSource = table; 
            gvCustomers.DataBind();
        }
    }
}
