﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestingAutoMapperConsoleApplication
{
    class Program
    {
        static void Main(string[] args)
        {
         //   var product = new Product();
            //product.Category = new Category() { CategoryName = "Category1"};

            //var propertyInfo = product.GetType().GetProperty("Category");
            //var categoryValue = propertyInfo.GetValue(product, null); 
            //Console.WriteLine(categoryValue);

            var product = new Product()
                              {
                                  Id = 12,
                                  ProductName = "Power Ranger", 
                                  Category = new Category() { CategoryName = "This is crap!"}, 
                                  Categories = new List<Category>() { new Category() { CategoryName = "category in list 1"}}
                              };

            var productDTO = product.ToDTO<ProductDTO>();

            Console.WriteLine(productDTO.Id);
            Console.WriteLine(productDTO.ProductName);
            Console.WriteLine(productDTO.Category.CategoryName);
            Console.WriteLine(productDTO.Categories[0].CategoryName);
        }
    }
}
